version: "3.8"

x-generic-api-variables: &generic-api-variables
  DOMAIN: "xxllnc-local.eu.auth0.com"
  AUTH0_ECO_CLIENT_ID: "See auth0"
  AUTH0_ECO_CLIENT_SECRET: "See auth0"
  AUTH0_ECO_AUDIENCE: "See auth0"
  
x-generic-app-variables: &generic-app-variables
  REACT_APP_DEBUG: "true"
  REACT_APP_AUTH0_DOMAIN: "See auth0"
  REACT_APP_AUTH0_CLIENT_ID: "See auth0"
  REACT_APP_AUTH0_AUDIENCE: "See auth0"

services:
  controlpanel-api:
    environment:
      <<: *generic-api-variables
      AUTH0_CONNECTION_ENABLED_CLIENTS: "See auth0"
      AUTH0_MANAGEMENT_CLIENT_ID: "See auth0"
      AUTH0_MANAGEMENT_CLIENT_SECRET: "See auth0"
  contactmomenten-api:
    environment:
      <<: *generic-api-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/backend/contactmomenten-api:development-latest
    
  contactmomenten-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/contactmomenten-app:development-latest
    
  terugbelverzoeken-api:
    environment:
      <<: *generic-api-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/backend/terugbelverzoeken-api:development-latest

  terugbelverzoeken-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/contactmomenten-app:development-latest

  formulierenbeheer-api:
    environment:
      <<: *generic-api-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/backend/formulierenbeheer-api:development-latest

  formulierenbeheer-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/formulierenbeheer-app:development-latest

  formuliereninwoner-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/formuliereninwoner-app:development-latest
  
  verzoeken-api:
    environment:
      <<: *generic-api-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/backend/verzoeken-api:development-latest

  verzoeken-validation-api:
    environment:
      <<: *generic-api-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/backend/verzoeken-validation-api:development-latest

  instellingen-api:
    environment:
      <<: *generic-api-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/backend/instellingen-api:development-latest

  vergaderen-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/vergaderen-app:development-latest

# disabled untill new latest tag is made
  vergaderen-json-server: 
    environment:
      <<: *generic-app-variables
  #   image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/vergaderen-app-json-server:development-latest

  persons-api:
    environment:
      <<: *generic-api-variables
      X_API_KEY: "See auth0"
      AUTH0_EVENT_CLIENT_ID: "See auth0"
      AUTH0_EVENT_CLIENT_SECRET: "See auth0"
      AUTH0_EVENT_AUDIENCE: "See auth0"
      AUTH0_AUDITLOG_CLIENT_ID: "See auth0"
      AUTH0_AUDITLOG_CLIENT_SECRET: "See auth0"
      AUTH0_AUDITLOG_AUDIENCE: "See auth0"
      AUTH0_ECO_DOMAIN:  "See auth0"
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/backend/persons-api:development-latest

  mijnomgeving-app:
    environment:
      <<: *generic-app-variables
      REACT_APP_AUTH0_DOMAIN: "See auth0"
      REACT_APP_AUTH0_CLIENT_ID: "See auth0"
      REACT_APP_AUTH0_AUDIENCE: "See auth0"
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/mijnomgeving-app:development-latest

  payment-api:
    environment:
      <<: *generic-api-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/backend/payment-api:development-latest 